/* cmd_neonbackup.c - NeonServ v5.6
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */
#include "../module.h"
#include "cmd_neonbackup.h"
#include "../../modcmd.h"
#include "../../ConfigParser.h"

void register_commands() {
    //NeonBackup Commands
    register_command_alias(6, "NeonBackup");
    
    #define OPER_COMMAND(NAME,FUNCTION,PARAMCOUNT,GACCESS,FLAGS) register_command(6, NAME, module_id, FUNCTION, PARAMCOUNT, NULL, GACCESS, FLAGS)
    //            NAME            FUNCTION              PARAMS  ACCS  FLAGS
    OPER_COMMAND("recover",      neonbackup_cmd_recover, 0,     900,  CMDFLAG_REQUIRE_AUTH | CMDFLAG_CHECK_AUTH);
    #undef OPER_COMMAND
    
}