/* version.h - NeonServ v5.6
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */
#ifndef _version_h
#define _version_h

#include "main.h"

#define MODULE_VERSION 7

#ifndef DND_FUNCTIONS
extern const char *compilation;
extern const char *creation;
extern const char *revision;
extern const char *codelines;
extern const int revision_master;
extern const char *dev_revision;
extern const int patchlevel;

const char *get_compilation();
const char *get_creation();
const char *get_revision();
const int is_stable_revision();
const char *get_dev_revision();
const char *get_codelines();
const int get_patchlevel();
#endif
#endif
